Page MenuHomePhabricator

MobileView API should not be impacted by lazy loading images and references changes
Closed, ResolvedPublic

Description

Currently as designed, the mobileview API result is determined by the config variables MFLazyLoadReferences and MFLazyLoadImages.

This could break consumers who are not setup to use these, so we should make this a method on the MobileFormatter level and enable them prior to use for mobile views.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJdlrobson

Event Timeline

Jdlrobson raised the priority of this task from Normal to Needs Triage.Mar 7 2016, 10:11 PM
Jdlrobson created this task.

[Suggested priority high: but leaving at needs triage so we triage this into the current sprint.]

Change 275722 had a related patch set uploaded (by Jdlrobson):
Do not impact API with lazy loading changes

https://gerrit.wikimedia.org/r/275722

Krinkle removed a subscriber: Krinkle.Mar 8 2016, 12:57 AM
jhobs triaged this task as High priority.Mar 8 2016, 6:09 PM

Change 275722 merged by jenkins-bot:
Do not impact API with lazy loading changes

https://gerrit.wikimedia.org/r/275722

Jdlrobson closed this task as Resolved.Mar 9 2016, 8:54 PM
Jdlrobson claimed this task.